variable "database" {
  type        = object({
    password = string
    username = string
    host = string
    database = string
  })
  description = "Database configuration"
}
variable "namespace" {
  type        = string
  description = "Kubernetes namespace in which to create resources"
}

variable "cron" {
  type        = string
  default = null
  description = "Cron expression for when to perform backups. Leave as null for an autogenerated random time every day"
}

variable "rsync_username" {
  type        = string
  description = "Example ab1234s3"
}

variable "rsync_private_key" {
  type        = string
  description = "Private key in OpenSSH format, with access to the backup user"
}
